<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MINI51DE_BSP: PWM_T Struct Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">MINI51DE_BSP<span id="projectnumber">&#160;V3.03.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51DE Series MCU</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle"><div class="title">PWM_T Struct Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:gaa6d75699e3e16aa05d1eb98e6e93319d"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#gaa6d75699e3e16aa05d1eb98e6e93319d">PPR</a></td></tr>
<tr class="separator:gaa6d75699e3e16aa05d1eb98e6e93319d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga57c672a24174f9089a7f63c4eebb1014"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga57c672a24174f9089a7f63c4eebb1014">CSR</a></td></tr>
<tr class="separator:ga57c672a24174f9089a7f63c4eebb1014"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab94ee71ef3c9cf3cee7a1d1cf097e28a"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#gab94ee71ef3c9cf3cee7a1d1cf097e28a">PCR</a></td></tr>
<tr class="separator:gab94ee71ef3c9cf3cee7a1d1cf097e28a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2c697cddf110332d79cff50081007bdc"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga2c697cddf110332d79cff50081007bdc">CNR</a> [6]</td></tr>
<tr class="separator:ga2c697cddf110332d79cff50081007bdc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab8da3f923af214a5c491d33b37eb6995"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#gab8da3f923af214a5c491d33b37eb6995">CMR</a> [6]</td></tr>
<tr class="separator:gab8da3f923af214a5c491d33b37eb6995"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga27ea7322db0cf9e5b7085e4b5706fade"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga27ea7322db0cf9e5b7085e4b5706fade">PIER</a></td></tr>
<tr class="separator:ga27ea7322db0cf9e5b7085e4b5706fade"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga226ebe95ae5a9324e113c5909b36b5aa"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga226ebe95ae5a9324e113c5909b36b5aa">PIIR</a></td></tr>
<tr class="separator:ga226ebe95ae5a9324e113c5909b36b5aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac1091d87368dad22ea10d3c540616408"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#gac1091d87368dad22ea10d3c540616408">POE</a></td></tr>
<tr class="separator:gac1091d87368dad22ea10d3c540616408"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5dbbc201be700501412b61392feb669b"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga5dbbc201be700501412b61392feb669b">PFBCON</a></td></tr>
<tr class="separator:ga5dbbc201be700501412b61392feb669b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab25bd7adbdd445dc5f0d816bc6453be7"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#gab25bd7adbdd445dc5f0d816bc6453be7">PDZIR</a></td></tr>
<tr class="separator:gab25bd7adbdd445dc5f0d816bc6453be7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab4fefd6661f76c1b1edcca461d32dd92"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#gab4fefd6661f76c1b1edcca461d32dd92">TRGCON0</a></td></tr>
<tr class="separator:gab4fefd6661f76c1b1edcca461d32dd92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf4bd235b45257d850aa2e32eeee61fbf"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#gaf4bd235b45257d850aa2e32eeee61fbf">TRGCON1</a></td></tr>
<tr class="separator:gaf4bd235b45257d850aa2e32eeee61fbf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga96f806d2fb15090368714994e028b831"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga96f806d2fb15090368714994e028b831">TRGSTS0</a></td></tr>
<tr class="separator:ga96f806d2fb15090368714994e028b831"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga696841c973022461c3088031c03ac058"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga696841c973022461c3088031c03ac058">TRGSTS1</a></td></tr>
<tr class="separator:ga696841c973022461c3088031c03ac058"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga17ab9f7949e58cf1bd2130847d8b7302"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga17ab9f7949e58cf1bd2130847d8b7302">PHCHG</a></td></tr>
<tr class="separator:ga17ab9f7949e58cf1bd2130847d8b7302"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaef00ce5dc18df57cfeca806f97b0c30a"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#gaef00ce5dc18df57cfeca806f97b0c30a">PHCHGNXT</a></td></tr>
<tr class="separator:gaef00ce5dc18df57cfeca806f97b0c30a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga28ed24be91de88e35f9cf9931492b4d2"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#ga28ed24be91de88e35f9cf9931492b4d2">PHCHGMASK</a></td></tr>
<tr class="separator:ga28ed24be91de88e35f9cf9931492b4d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac37e521865df16cc9792332248b8461e"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d75/group___m_i_n_i51__legacy___constants.html#gac37e521865df16cc9792332248b8461e">INTACCUCTL</a></td></tr>
<tr class="separator:gac37e521865df16cc9792332248b8461e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">@addtogroup PWM Pulse Width Modulation Controller(PWM)
Memory Mapped Structure for PWM Controller
</pre> 
<p class="definition">Definition at line <a class="el" href="../../de/d94/_mini51_series_8h_source.html#l02751">2751</a> of file <a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a>.</p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>Device/Nuvoton/Mini51Series/Include/<a class="el" href="../../de/d94/_mini51_series_8h_source.html">Mini51Series.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 18:23:41 for MINI51DE_BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
